Package org.gradle.jvm.toolchain

# Interface JavaToolchainDownload

@Incubating public interface JavaToolchainDownload
The response provided by a `JavaToolchainResolver` to a specific `JavaToolchainRequest`.

Contains the download URI from which a Java toolchain matching the request can be downloaded from. The URI must point to either a ZIP or a TAR archive and has to be secure (so simple HTTP is not allowed, only HTTPS).

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JavaToolchainDownload`
  `fromUri(URI uri)`
  `URI`
  `getUri()`

- ## Method Details

  - ### getUri

    URI getUri()

  - ### fromUri

    static JavaToolchainDownload fromUri(URI uri)